from PyQt5 import QtWidgets,QtCore
from pathlib import Path
from PyQt5.QtCore import *
from PyQt5.QtWidgets import *
import sys

import pandas as pd
import plotly.graph_objects as go
import plotly.express as pxs


#Importing all functions
from GraphKey.app.modules.gui import main_window
from GraphKey.app.modules.gui import welcome_page


class Master:
    def __init__(self):
        pass

    def showWelcomePage(self):
        self.welcome = welcome_page.WelcomePage()
        self.welcome.show()

    def showMainWindow(self, app): 
        self.mainwindow = main_window.MainWindow(app)
        self.mainwindow.show()


def main():
    app = QApplication(sys.argv)
    controller = Master()
    controller.showMainWindow(app)
    sys.exit(app.exec_())

if __name__ == '__main__':
    main()

