from datetime import date

class Project:
    """
    Project class. We only utilize this for name, but it can be extended over time if needed. 
    """
    def __init__(self, name):
        """
        Initializes a project instance
        """
        self.name = name
        self.datemodified = date.today()

    def dateModifiedFormatted(self): 
        """
        Returns the date in a readable format
        """
        return self.datemodified.strftime("%m/%d/%y")
