# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'about.ui'
#
# Created by: PyQt5 UI code generator 5.14.2
#
# WARNING! All changes made in this file will be lost!


# from PyQt5 import QtCore, QtGui, QtWidgets

from PyQt5 import QtCore, QtWidgets, QtGui, QtWidgets
from PyQt5.QtCore import *
from PyQt5.QtWidgets import *
from PyQt5.QtSvg import *
import os

class Help(object):
    """Opens help window"""
    currentImage=0

    def setupUi(self, Dialog):
        """Sets up ui, takes in Dialog window that is editable"""
        Dialog.setObjectName("Help")
        Dialog.resize(650, 500)
        self.help = QSvgWidget(Dialog)
        self.help.setObjectName("help")     


        self.help.load(os.getcwd() + "\\GraphKey\\app\\modules\\static\\helpImages\\UI1.svg")

        self.image_frame = QFrame()
        self.buttons_frame = QFrame()


        self.main_layout = QVBoxLayout()
        self.button_frame_layout = QHBoxLayout()
        self.image_frame_layout = QVBoxLayout()

        Dialog.setLayout(self.main_layout)
        self.image_frame.setLayout(self.image_frame_layout)
        self.buttons_frame.setLayout(self.button_frame_layout)

        self.main_layout.addWidget(self.image_frame)
        self.main_layout.addWidget(self.buttons_frame)

        self.image_frame_layout.addWidget(self.help)   
         
        self.previousButton = QPushButton("Previous")
        self.nextButton = QPushButton("Next")

        self.button_frame_layout.addWidget(self.previousButton)
        self.button_frame_layout.addWidget(self.nextButton)

        self.nextButton.clicked.connect(self.nextImage)
        self.previousButton.clicked.connect(self.previousImage)
        QtCore.QMetaObject.connectSlotsByName(Dialog)


    def nextImage (self):
        """Increments the image on the pop up screen"""
        if Help.currentImage < 3:
            Help.currentImage = Help.currentImage + 1 
        self.help.load(os.getcwd() + "\\GraphKey\\app\\modules\\static\\helpImages\\UI" + str(Help.currentImage) + ".svg")

    def previousImage (self):
        """Decrements the image on the pop up screen"""
        if Help.currentImage > 0:
            Help.currentImage = Help.currentImage - 1
        self.help.load(os.getcwd() + "\\GraphKey\\app\\modules\\static\\helpImages\\UI" + str(Help.currentImage) + ".svg")

