import os
from PyQt5 import QtWidgets,QtCore,QtGui
from PyQt5.QtCore import *
from PyQt5.QtWidgets import QFileIconProvider
from PyQt5.QtGui import *

current_dir =os.path.dirname(os.path.realpath(__file__))

class GraphIconProvider(QFileIconProvider):
    """Icon provider to change the standard .pickle file icon to a little graph"""

    def icon(self, parameter):
        if isinstance(parameter, QtCore.QFileInfo):
            info = parameter
            if info.suffix() == "pickle":
                return QtGui.QIcon(os.path.join(current_dir, "graph_icon.png"))
        return super().icon(parameter)
