# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'about.ui'
#
# Created by: PyQt5 UI code generator 5.14.2
#
# WARNING! All changes made in this file will be lost!


# from PyQt5 import QtCore, QtGui, QtWidgets
from PyQt5 import QtWidgets,QtCore,QtGui

from PyQt5.QtCore import *
from PyQt5.QtWidgets import *
from PyQt5.QtGui import *
from pathlib import Path

class ImportRevision(QDialog):
    """This class if for importation of a revised workbook.""" 
    def __init__(self, workbooks):
        """This function initializes the screen where the user can select the workbook to import a revision of."""
        super().__init__()
        self.initUI(workbooks)

    def initUI(self,workbooks):
        """Creates the window elements."""
        CreateProject = self
        
        self.addrevisionform = QFormLayout()

        self.workbook_dropdown = QComboBox()
        self.workbook_dropdown.addItems(workbooks)
        self.addrevisionform.addRow("Workbook Selected: ",self.workbook_dropdown)

        self.import_revision_button = QPushButton("Import Workbook Revision")
        self.import_revision_button.clicked.connect(self.openImportRevision)
        self.addrevisionform.addRow("Select Revision: ", self.import_revision_button)

        self.setLayout(self.addrevisionform)

        QBtn = QDialogButtonBox.Ok | QDialogButtonBox.Cancel 
        self.buttonBox = QDialogButtonBox(QBtn)
        self.buttonBox.button(QDialogButtonBox.Ok).setEnabled(False)
        self.buttonBox.button(QDialogButtonBox.Ok).setText("Import")
        self.buttonBox.accepted.connect(self.accept)
        self.buttonBox.rejected.connect(self.reject)
        self.addrevisionform.addWidget(self.buttonBox)

    def openImportRevision(self):
        """Gets the file the user wants to import a revision of."""
        options = QFileDialog.Options()
        options |= QFileDialog.DontUseNativeDialog
        home_dir = str(Path.home())
        self.fileSelected = QFileDialog.getOpenFileName(self,"Select File to Import", home_dir ,"Excel Files (*.xlsx);;All Files (*)")
        if  self.fileSelected and  self.fileSelected[0]:    
            self.buttonBox.button(QDialogButtonBox.Ok).setEnabled(True) 
            self.fileSelectedLabel = QLabel(Path( self.fileSelected[0]).stem+Path( self.fileSelected[0]).suffix)
            self.addrevisionform.insertRow(2,"File Selected: ", self.fileSelectedLabel)
