from .utils import *


def choose_sheet(dictionary):
    """
    Allows user to choose a sheet (by commandline input) to choose data from.
    :return: A DataFrame of the chosen sheet
    """
    get_sheet_names(dictionary)
    sheet_name = input("Which sheet would you like to choose data from?\n")
    return (dictionary[sheet_name])


def choose_col(tmp_df):
    """
    Allows user to choose a column's data (by commandline input) from the sheet.
    :return: A Series of the data of the chosen column
    """
    df = clean_cols_without_name(tmp_df)
    get_col_names(df)
    column = input("Which column from above would you like to select?\n")
    return df[column]


# def main():
#     """
#     The current main function. Lets the user import a file, choose a sheet to select data from, and then print the data of a chosen column in the sheet.
#     """
#     dictionary = import_file()
#     df = choose_sheet(dictionary)
#     print(choose_col(df))
#
#
#
# if __name__ == "__main__":
#     main()
